### Method

# GVnc Connection power_control

#### Declaration [src]

    gboolean
    vnc_connection_power_control (
      VncConnection* conn,
      VncConnectionPowerAction action
    )

#### Description [src]

Perform a power control action on the remote server.

This is only valid if the “vnc-power-control” signal has been emitted with a VNC_CONNECTION_POWER_STATUS_INIT code.

The action should be assumed to be accepted unless “vnc-power-control” signal is emitted with a VNC_CONNECTION_POWER_STATUS_FAIL code.

#### Parameters

`action`

  Type: `VncConnectionPowerAction`

  No description available.

#### Return value

Type: `gboolean`

TRUE if the action was sent, FALSE if power control is not supported.